# CMxArrayBase Class

Namespace: `ArchestrA.Toolkit`

CMxArrayBase is derived from CMxType and provides the default implementation for all array types.

**Syntax**

```csharp
public abstract class CMxArrayBase : CMxType
```

## CMxArrayBase Properties

### DefLength Property

Provides a property to return a int of the default value.

**Syntax**

```csharp
protected abstract int DefLength { get; set; };
```

**Returns**

int

### Length Property

Provides a property to get and set the Length.

**Syntax**

```csharp
public int Length { get; set; }
```

**Returns**

int

## CMxArrayBase Constructors

### CMxArrayBase Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxArrayBase();
```

### CMxArrayBase Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxArrayBase(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds attribute reference.
